#
# spec file for package concurrent
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0


Name:           concurrent
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  xml-commons-apis
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif
%define section free
Version:        1.3.4
Release:        277.279.40
Summary:        Utility Classes for Concurrent Java Programming
License:        SUSE-Public-Domain
Source0:        http://gee.cs.oswego.edu/dl/classes/EDU/oswego/cs/dl/current/concurrent.tar.gz
Source1:        %{name}-%{version}.build.xml
Patch0:         concurrent-1.3.4-jdk9.patch
Url:            http://gee.cs.oswego.edu/dl/classes/EDU/oswego/cs/dl/util/concurrent/
Group:          Development/Libraries/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description 
This package provides standardized, efficient versions of utility
classes commonly encountered in concurrent Java programming. This code
consists of implementations of ideas that have been around for ages and
is merely intended to save you the trouble of coding them. Discussions
of the rationale and application of several of these classes can be
found in the second edition of Concurrent Programming in Java.



%package javadoc
License:        SUSE-Public-Domain
PreReq:         coreutils
Summary:        Javadoc for concurrent
Group:          Development/Libraries/Java

%description javadoc
This package provides standardized, efficient versions of utility
classes commonly encountered in concurrent Java programming. This code
consists of implementations of ideas that have been around for ages,
and is merely intended to save you the trouble of coding them.
Discussions of the rationale and applications of several of these
classes can be found in the second edition of Concurrent Programming in
Java.

This package contains the javadoc documentation for concurrent.



%prep
%setup -c -q
%patch0 -p1
mkdir -p src/EDU/oswego/cs/dl/util
mv concurrent src/EDU/oswego/cs/dl/util
cp %{SOURCE1} build.xml

%build
ant \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  jar javadoc

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%if 0%{?suse_version}
%fdupes -s $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%endif
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Sat Nov 28 2020 Michael Calmer <mc@suse.com>
- Fix build on CentOS 8
* Thu Nov  2 2017 jgonzalez@suse.com
- Fix build with java9
- Add:
  * concurrent-1.3.4-jdk9.patch
- Change:
  * concurrent-1.3.4.build.xml
* Wed Jun 25 2014 dmacvicar@suse.de
- use SPDX for license names
* Mon Sep 25 2006 skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 27 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Tue Jul 19 2005 jsmeix@suse.de
- Current version 1.3.4 from JPackage.org
* Fri Feb 18 2005 skh@suse.de
- update to version 1.3.4
- don't use icecream
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Mon Sep  6 2004 skh@suse.de
- Initial package created with version 1.3.2 (JPackage 1.5)
